// @import "../../../../../global.scss";

// .main {
//   width: 100%;
//   background-color: white;
// }

// .diagramContainer {
//   justify-content: center;
//   align-items: center;
//   position: relative;
//   display: flex;
//   padding: 20px;
//   margin-bottom: 7%;
//   margin-top:5%;
//   @include bigScreen{
//     margin-top: 8%;
//   }
// }
// $rot: 13;
// @mixin on-circle($item-count, $circle-size, $item-size) {
//   position: relative;
//   width: $circle-size;
//   height: $circle-size;
//   border-radius: 50%;
//   padding: 10px;
//   list-style: none;

//   > * {
//     display: block;
//     position: absolute;
//     top: 50%;
//     left: 50%;
//     margin: -($item-size / 2);
//     width: $item-size;
//     height: $item-size;
//     &:nth-of-type(1) {
//       transform: translate(0em, -20em);
//       &::before{
//         content: "";
//         z-index: -2;
//         background-color: $Green;
//         width: 10px;
//         height: 170%;
//         top: 100%;
//         left: 43%;
//         position: absolute;
//       }
//     }
//     &:nth-of-type(2) {
//       transform: translate(0em, -5em);
//       z-index: 4;
//     }
//     &:nth-of-type(3) {
//       transform: translate(-14em, 8em);
//       &::before{
//         content: "";
//         z-index: -2;
//         background-color: #6f9849;
//         width: 10px;
//         height: 250%;
//         position: absolute;
//         transform: rotate(225deg)translate(1em, 13em);
//       }
//     }
//     &:nth-of-type(4) {
//       transform: translate(14em, 8em);
//       &::before{
//         content: "";
//         z-index: -2;
//         background-color: #6f9849;
//         width: 10px;
//         height: 250%;
//         position: absolute;
//         transform: rotate(135deg) translate(-5em, 11em)
//       }
//     }
//   }
// }
// $item_size:7em;
// $circle_size:30em;

// .diagram {
//   @include bigScreen{
//     @include on-circle($item-count: 7, $circle-size: $circle_size, $item-size: $item_size);
//   }
//   // margin: 5em auto 1em;
//   border: solid 6px $Blue;
//     // margin: 5em auto 0;
//     border:none;
//     margin: 0;
//     display: table-cell;
//     width: 100%;
//     list-style: none;
//     padding: 0;
//     @include bigScreen{
//       display: flex;
//     }
//   span{
//     z-index: 3;
//     text-align: center;
//     display: flex;
//     width: 100%;
//     border-radius: 50%;
//     background-color: white;
//     color: $Green;
//     @include bigScreen{
//       &::after{
//         content: attr(heading);
//         position: absolute;
//         width: 10em;
//         font-weight: bold;
//         font-size: medium;
//       }
//       &:hover::after {
//         opacity: 0;
//       }
//     }
//     span{
//       @include bigScreen{
//         z-index: -2;
//         position: absolute;
//         height: auto;
//         background-color: white;
//         width: 20em;
//         box-shadow: -1px -1px 10px rgba(195, 212, 34, 0.8);
//         border-radius: 20px;
//         flex: none;
//         padding: 20px;
//         padding-left: 38px;
//         display: block;
//         text-align: left;
//         line-height: 1;
//       }
//       p {
//         margin: 0;
//       }
//         z-index: -2;
//         position: relative;
//         height: auto;
//         background-color: white;
//         width: auto;
//         box-shadow: none;
//         border-radius: 20px;
//         flex: none;
//         padding: 0;
//         padding-left: 2em;
//         display: block;
//         text-align: left;
//         line-height: 1;
//         transition: all 0.4s;
//         transform: none !important;
//         padding-top: 0.5em;
//     }
//   }
//   li{
//     @include bigScreen{
//       display: flex;
//       &:nth-child(1) {
//         span {
//           &::after {
//             z-index: -3;
//             transform: translate(-1.5em, -2em);
//           }
//           span {
//             transform:translate(5em, -5em) !important;
//           }
//         }
//       }
//       &:nth-child(2) {
//         span {
//           &::after {
//             z-index: -3;
//             transform: translate(6.5em, 2em);
//           }
//           span {
//             transform:translate(6em, -5em) !important
//           }
//         }
//       }
//       &:nth-child(3) {
//         span {
//           &::after {
//             z-index: -3;
//             transform: translate(-9.5em, 2em);
//           }
//           span {
//             transform:translate(-18em, -5em) !important
//           }
//         }
//       }&:nth-child(4) {
//         span {
//           &::after {
//             z-index: -3;
//             transform: translate(6.5em, 2em);
//           }
//           span {
//             transform:translate(5em, -5em) !important
//           }
//         }
//       }
//     }
//     z-index: 2;
//       display: table;
//       position: relative;
//       margin-top: 4em;
//       &:nth-child(4){
//         span{
//           a{
//             div{
//               &::before{
//                 display: none;
//               }
//             }
//           }
//         }
//       }
//   }
// }

// .circleBorder {
//   height: 7em;
//   width: 7em;
//   border: solid 4px $Green;
//   border-radius: 100%;
//   flex: none;
//   display: flex;
//   align-items: center;
//   justify-content: center;
//   background-color: white;
//   @include transition(all 0.4s);
//   z-index: 3;
//   position: relative;
//   box-shadow: 0px 0px 24px -5px #888888;

//   &:hover {
//     border: solid 4px $Lime;
//   }

//   @include mtablet{
//     &::before {
//       content: "";
//       z-index: -2;
//       background-color: $Green;
//       width: 10px;
//       height: 170%;
//       top: 100%;
//       left: 43%;
//       position: absolute;
//     }
//   }
// }
// .item_description{
//   @include transition(all 0.4s);
//     @include mtablet{
//       transition: none !important;
//       z-index: 1 !important;
//       transform: none !important;
//       position: relative !important;
//     }
// }

// .underline {
//   border-bottom: 1px solid $Green;
//   padding-bottom: 5px;
//   margin-bottom: 10px;
// }
// .example-enter {
//   opacity: 0.01;
// }

// .example-enter.example-enter-active {
//   opacity: 1;
//   transition: opacity 500ms ease-in;
// }

// .example-leave {
//   opacity: 1;
// }

// .example-leave.example-leave-active {
//   opacity: 0.01;
//   transition: opacity 300ms ease-in;
// }

// .btn {
//   @include mmobile {
//   font-size: 65% !important;
//   }
// }
@import "../../../../../global.scss";

.main {
  background-color: white !important;
  // height: 100vh;
  width: 100%;
}

.diagramContainer {
  justify-content: center;
  align-items: center;
  position: relative;
  display: flex;
  padding: 20px;
  margin-bottom: 7%;
}

.centerHead {
  text-align: center !important;
  position: absolute;
  margin-top: 5%;
  font-size: 1.5em;
  font-weight: bold;
  color: #6f9849;

  @include mtablet {
    display: none;
  }
}

.item_description {
  @include mtablet {
    transition: none !important;
    z-index: 1 !important;
    transform: none !important;
    position: relative !important;
  }
}

.title {
  color: $Lime;
  font-weight: bold;
  font-size: 26px;
}

.tabDiv {
  width: 100%;
  display: flex;
  justify-content: center;
}

.tabHeader {
  margin-top: 5%;
  width: 85%;
  padding-bottom: 1rem;
  border-bottom: 1px solid $Blue;
  display: flex;
  justify-content: space-between;
}

.tabHeadButton {
  height: 25px;
  width: 40px;
  background-color: $Lime;
  border-radius: 20%;
}

$rotate: -90;

@mixin on-circle($item-count, $circle-size, $item-size) {
  position: relative;
  width: $circle-size;
  height: $circle-size;
  padding: 10px;
  list-style: none;

  >* {
    display: block;
    position: absolute;
    top: 50%;
    left: 50%;
    margin: -($item-size / 2);
    width: $item-size;
    height: $item-size;

    $angle: (360 / $item-count);

    @for $i from 1 through $item-count {
      &:nth-of-type(#{$i}) {
        transform: rotate($rotate * 1deg) translate($circle-size / 2) rotate($rotate * -1deg);
      }

      $rotate: $rotate+$angle;
    }
  }
}

.underline {
  border-bottom: 1px solid #53c1c1;
  padding-bottom: 5px;
  margin-bottom: 10px;
}

$item_size: 7em;
$circle_size: 30em;

.businnessContainer {
  @include bigScreen {
    @include on-circle($item-count: 5,
      $circle-size: $circle_size,
      $item-size: $item_size);
  }

  margin: 5em auto 0;

  @include mtablet {
    // margin: 5em auto 0;
    border: none;
    margin: 0;
    display: table-cell;
    width: 100%;
    list-style: none;
    padding: 0;
  }

  span {
    z-index: 5;
    text-align: center;
    display: flex;
    width: 100%;
    border-radius: 50%;
    background-color: white;
    color: #6f9849;

    @include bigScreen {
      &::after {
        content: attr(heading);
        position: absolute;
        width: 10em;
        font-weight: bold;
        font-size: medium;
        // @include transition (all 0.6s);
      }

      &:hover::after {
        opacity: 0;
      }
    }

    span {
      @include bigScreen {
        z-index: -2;
        position: absolute;
        height: auto;
        background-color: white;
        width: 20em;
        box-shadow: -1px -1px 10px rgba($Lime, 0.8);
        border-radius: 20px;
        flex: none;
        padding: 20px;
        padding-left: 38px;
        display: block;
        text-align: left;
        line-height: 1;
      }

      @include transition(all 0.4s);

      p {
        margin: 0;
      }

      @include mtablet {
        z-index: -2;
        position: relative;
        height: auto;
        background-color: white;
        width: auto;
        box-shadow: none;
        border-radius: 20px;
        flex: none;
        padding: 0;
        padding-left: 2em;
        display: block;
        text-align: left;
        line-height: 1;
        transition: all 0.4s;
        transform: none !important;
        padding-top: 0.5em;
      }
    }

    .businessBorder {
      height: $item_size;
      width: $item_size;
      border: solid 4px #6f9849;
      border-radius: 100%;
      flex: none;
      display: flex;
      align-items: center;
      justify-content: center;
      background-color: white;
      outline: none;

      &:focus {
        outline: none !important;
      }

      &:active {
        outline: none !important;
      }

      @include transition(all 0.4s);
      z-index: 3;
      position: relative;
      box-shadow: 0px 0px 24px -5px #888888;

      &:hover {
        border: solid 4px $Lime !important;
        outline: none;
      }

      @include mtablet {
        &::before {
          content: "";
          z-index: -2;
          background-color: #6f9849;
          width: 10px;
          height: 147%;
          top: 100%;
          left: 43%;
          position: absolute;
        }
      }
    }
  }

  li {
    &:nth-child(1) {
      @include bigScreen() {
        &::before {
          content: "";
          position: absolute;
          width: 202px;
          z-index: 2;
          top: 97%;
          left: 75%;
          border-bottom: 5px solid #6f9849;
          transform: rotate(37deg);
        }
      }

      span {
        &::after {
          z-index: -3;
          transform: translate(-3em, -2em);
          width: max-content;
        }

        span {
          transform: translate(-18em, -5em);
        }
      }
    }

    &:nth-child(2) {
      @include bigScreen() {
        &::before {
          content: "";
          position: absolute;
          width: 206px;
          z-index: 2;
          top: 179%;
          left: -77%;
          border-bottom: 5px solid #6f9849;
          transform: rotate(111deg);
        }
      }

      span {
        &::after {
          transform: translate(7em, 2em);
        }

        span {
          transform: translate(5em, -5em);
        }
      }
    }

    &:nth-child(3) {
      @include bigScreen() {
        &::before {
          content: "";
          position: absolute;
          width: 190px;
          z-index: 2;
          top: 59%;
          right: 98%;
          border-bottom: 5px solid #6f9849;
          transform: rotate(180deg);
        }
      }

      span {
        &::after {
          transform: translate(7em, 2em);
        }

        span {
          transform: translate(6em, 4em);
        }
      }
    }

    &:nth-child(4) {
      @include bigScreen() {
        &::before {
          content: "";
          position: absolute;
          width: 214px;
          z-index: 2;
          top: -62%;
          right: 9%;
          border-bottom: 5px solid #6f9849;
          transform: rotate(248deg);
        }
      }

      span {
        &::after {
          transform: translate(-10em, 2em);
        }

        span {
          transform: translate(-19em, 3em);
        }
      }
    }

    &:nth-child(5) {
      @include bigScreen() {
        &::before {
          content: "";
          position: absolute;
          width: 227px;
          z-index: 2;
          bottom: 134%;
          right: -125%;
          border-bottom: 5px solid #6f9849;
          transform: rotate(323deg);
        }
      }

      span {
        &::after {
          transform: translate(-11em, 2em);
        }

        span {
          transform: translate(-18em, -6em);
        }
      }
    }

    @include mtablet {
      transform: none !important;
      z-index: 2;
      display: table;
      position: relative;
      margin-top: 4em;

      &:nth-child(5) {
        span {
          div {
            &::before {
              display: none !important;
            }
          }
        }
      }
    }
  }
}

.businessBorder :focus {
  outline: none;
}